@import url('https://fonts.googleapis.com/css2?family=Alegreya+Sans:wght@400;700&display=swap');

html {
  background: #192a33;
  margin: 0;
  padding: 0;
}

body {
  margin: 0;
  padding: 20px;
  font-family: 'Alegreya Sans', sans-serif;
}

.title {
  font-weight: 700;
  font-size: 26px;
  line-height: 24px;
  color: #e5c77e;
  margin-bottom: 14px;
  display: none;
}

.subtitle {
  font-weight: 400;
  font-size: 18px;
  line-height: 26px;
  text-align: center;
  color: #b8ccd9;
  margin-bottom: 14px;
}

.search {
  display: flex;
  align-items: flex-start;
  justify-content: center;
}

.search__row {
  display: flex;
  align-items: flex-start;
}

.search__title {
  background: #738c99;
  border-radius: 2px;
  padding: 6px 10px;
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
  color: #000000;
  box-sizing: border-box;
}

.search__input {
  width: 196px;
  min-height: 52px;
  margin: 0 4px;
}

.search__input input {
  font-weight: normal;
  font-size: 16px;
  font-style: normal;
  line-height: 20px;
  width: 170px;
  height: 24px;
  padding: 4px 11px;
  border: 2px solid #738c99;
  border-radius: 2px;
  color: #ffffff;
  background-color: #2a414c;
  touch-action: manipulation;
  -webkit-appearance: none;
}

.search__input input.error {
  background: #fff;
  border-color: #ff4d4f;
  color: #fe3b38;
}

.search__input span {
  font-size: 12px;
  line-height: 16px;
  font-weight: normal;
  color: #ff4d4f;
  display: none;
}

.search__button {
  width: 114px;
  height: 36px;
  font-weight: normal;
  font-size: 16px;
  font-style: normal;
  line-height: 20px;
  border: 1px solid #16a600;
  border-radius: 2px;
  color: #ffffff;
  background-color: #16a600;
  cursor: pointer;
  -webkit-appearance: button;
}

.search__button:hover {
  color: #000000;
  background-color: #1dd600;
}

.search__result {
  font-weight: 400;
  font-size: 18px;
  line-height: 26px;
  min-height: 26px;
  text-align: center;
  margin-top: 12px;
  margin-bottom: 34px;
}

.search__result.--win {
  color: #16a600;
}

.search__result.--loss {
  color: #fe3b38;
}

.table {
  display: grid;
  grid-template-columns: 2fr 1fr;
  gap: 6px 4px;
}

.table__cell {
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
  padding: 8px 10px;
  background: #738c99;
  border-radius: 2px;
  color: #000000;
  box-sizing: border-box;
}

.table__link {
  display: flex;
  cursor: pointer;
}

.table__link:nth-child(2n) {
  margin-top: 4px;
}

.table__link img {
  width: 14px;
  height: 24px;
}

.table__link a {
  margin-left: 4px;
  color: #000000;
  text-decoration: none;
}


@media (max-width: 950px) {
  body {
    padding: 20px 10px;
  }
  .title {
    display: block;
  }
  .subtitle {
    text-align: left;
    font-size: 14px;
    line-height: 20px;
    margin-bottom: 30px;
  }
  .search {
    flex-direction: column;
  }
  .search__button {
    width: 100%;
  }
  .table {
    grid-template-columns: 1fr 1fr;
  }
  .table__cell:nth-child(2n+1) {
    font-size: 14px;
    line-height: 24px;
  }
}